package de.gurkengewuerz.postfix_rest_send.utils;

import org.apache.commons.codec.digest.DigestUtils;

import java.util.UUID;

/**
 * Created by gurkengewuerz.de on 13.07.2017.
 */
public class RandomUtils {
    public static String rndToken() {
        return rndToken("");
    }

    public static String rndToken(String extraSalt) {
        String uuidFront = UUID.randomUUID().toString();
        String uuidBack = UUID.randomUUID().toString();
        String salted = uuidFront + System.currentTimeMillis() + uuidBack + extraSalt;
        return DigestUtils.sha256Hex(salted);
    }
}
